BitstreamException

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javazoom.jl.decoder
Class BitstreamException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javazoom.jl.decoder.JavaLayerException
                  javazoom.jl.decoder.BitstreamException

All Implemented Interfaces:
  BitstreamErrors, JavaLayerErrors, java.io.Serializable

public class BitstreamException
extends JavaLayerException
implements BitstreamErrors

Instances of `BitstreamException` are thrown when operations on a `Bitstream` fail.

The exception provides details of the exception condition in two ways:

1. as an error-code describing the nature of the error
2. as the `Throwable` instance, if any, that was thrown indicating that an exceptional condition has occurred.

Since:
  0.0.6
See Also:
  Serialized Form

Field Summary

Fields inherited from interface javazoom.jl.decoder.BitstreamErrors
`BITSTREAM_LAST, INVALIDFRAME, STREAM_EOF, STREAM_ERROR, UNEXPECTED_EOF, UNKNOWN_ERROR, UNKNOWN_SAMPLE_RATE`

Fields inherited from interface javazoom.jl.decoder.JavaLayerErrors
`BITSTREAM_ERROR, DECODER_ERROR`

Constructor Summary
`BitstreamException(int errorcode, java.lang.Throwable t)`
`BitstreamException(java.lang.String msg, java.lang.Throwable t)`

Method Summary
`int` | `getErrorCode()`
`static java.lang.String` | `getErrorString(int errorcode)`

Methods inherited from class javazoom.jl.decoder.JavaLayerException
`getException, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BitstreamException

    public BitstreamException(java.lang.String msg,
                              java.lang.Throwable t)

### BitstreamException

    public BitstreamException(int errorcode,
                              java.lang.Throwable t)

Method Detail

### getErrorCode

    public int getErrorCode()

### getErrorString

    public static java.lang.String getErrorString(int errorcode)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JavaZOOM 1999-2005